MISSINdevelopersLog in

API reference

AddDiscountPoolCodes

Add codes to an incentive rule's discount-code pool. Write access, waitlists toolset, MCP tool add_discount_pool_codes.

Access: Write

Variables

VariableTypeRequiredAcceptsDescription
inputAddDiscountPoolCodesInput!yesInput object, below

Input types

AddDiscountPoolCodesInput

FieldTypeRequiredAcceptsDescription
codes[String!]!yes
incentiveRuleIdUUID!yes

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"AddDiscountPoolCodes","variables":{"input":{"codes":[],"incentiveRuleId":"00000000-0000-0000-0000-000000000000"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"5d3142495217de0bc2ae94a8dfac2b8d055b145d959d73591d84d593d32644d6"}}}'

Document

graphql
mutation AddDiscountPoolCodes($input: AddDiscountPoolCodesInput!) { __typename addDiscountPoolCodes(input: $input) { __typename added userErrors { __typename code field message } } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.